import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/controller/setdatetime_controller.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class AfternoonTime extends StatelessWidget {
  final SetDateTimeController setDateTimeController = Get.find();

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 20.0),
      child: IntrinsicHeight(
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          mainAxisSize: MainAxisSize.min,
          children: [
            Column(
              mainAxisSize: MainAxisSize.min,
              verticalDirection: VerticalDirection.down,
              children: [
                Container(
                  height: 8,
                  width: 8,
                  // padding: EdgeInsets.only(top: 20),
                  decoration: BoxDecoration(
                    color: yellow,
                    shape: BoxShape.circle,
                    // border: Border.all(color:blue,width: 1)
                  ),
                ),
                Container(
                  height: 190,
                  width: 1,
                  color: whiteF1,
                )
                // CustomPaint(painter: LineDashedPainter(lineColor: Colors.grey))
              ],
            ),
            SizedBox(width: 10),
            Expanded(
              child: Stack(
                clipBehavior: Clip.none,
                children: [
                  Positioned(
                    child: Text(
                      "Afternoon",
                      style: TextStyle(
                          color: black,
                          fontFamily: "RobotoMedium",
                          fontSize: 17),
                    ),
                    top: -8,
                  ),
                  Padding(
                    padding: EdgeInsets.only(top: 30.0),
                    child: Column(
                      children: [
                        Row(
                          children: [
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime1(true);
                                },
                                child: dateTimeContainer(
                                    text: "12:15",
                                    color: setDateTimeController
                                            .afternoonTime1.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime1.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime1.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime2(true);
                                },
                                child: dateTimeContainer(
                                    text: "01:00",
                                    color: setDateTimeController
                                            .afternoonTime2.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime2.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime2.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime3(true);
                                },
                                child: dateTimeContainer(
                                    text: "01:45",
                                    color: setDateTimeController
                                            .afternoonTime3.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime3.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime3.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime4(true);
                                },
                                child: dateTimeContainer(
                                    text: "02:30",
                                    color: setDateTimeController
                                            .afternoonTime4.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime4.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime4.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                          ],
                        ),
                        SizedBox(
                          height: 10,
                        ),
                        Row(
                          children: [
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime5(true);
                                },
                                child: dateTimeContainer(
                                    text: "03:15",
                                    color: setDateTimeController
                                            .afternoonTime5.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime5.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime6.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime6(true);
                                },
                                child: dateTimeContainer(
                                    text: "04:00",
                                    color: setDateTimeController
                                            .afternoonTime6.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime6.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime6.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime7(true);
                                },
                                child: dateTimeContainer(
                                    text: "04:45",
                                    color: setDateTimeController
                                            .afternoonTime7.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime7.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime7.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime8(true);
                                },
                                child: dateTimeContainer(
                                    text: "05:30",
                                    color: setDateTimeController
                                            .afternoonTime8.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime8.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime8.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                          ],
                        ),
                        SizedBox(
                          height: 10,
                        ),
                        Row(
                          children: [
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime9(true);
                                },
                                child: dateTimeContainer(
                                    text: "06:15",
                                    color: setDateTimeController
                                            .afternoonTime9.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime9.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime9.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                            SizedBox(
                              width: 10,
                            ),
                            Obx(
                              () => InkWell(
                                onTap: () {
                                  if (setDateTimeController.afternoonTime1.isTrue ||
                                      setDateTimeController
                                          .afternoonTime2.isTrue ||
                                      setDateTimeController
                                          .afternoonTime3.isTrue ||
                                      setDateTimeController
                                          .afternoonTime4.isTrue ||
                                      setDateTimeController
                                          .afternoonTime5.isTrue ||
                                      setDateTimeController
                                          .afternoonTime6.isTrue ||
                                      setDateTimeController
                                          .afternoonTime7.isTrue ||
                                      setDateTimeController
                                          .afternoonTime8.isTrue ||
                                      setDateTimeController
                                          .afternoonTime9.isTrue ||
                                      setDateTimeController
                                          .afternoonTime10.isTrue) {
                                    setDateTimeController.afternoonTime1(false);
                                    setDateTimeController.afternoonTime2(false);
                                    setDateTimeController.afternoonTime3(false);
                                    setDateTimeController.afternoonTime4(false);
                                    setDateTimeController.afternoonTime5(false);
                                    setDateTimeController.afternoonTime6(false);
                                    setDateTimeController.afternoonTime7(false);
                                    setDateTimeController.afternoonTime8(false);
                                    setDateTimeController.afternoonTime9(false);
                                    setDateTimeController
                                        .afternoonTime10(false);
                                  }
                                  setDateTimeController.afternoonTime10(true);
                                },
                                child: dateTimeContainer(
                                    text: "07:00",
                                    color: setDateTimeController
                                            .afternoonTime10.isTrue
                                        ? whiteE9
                                        : white,
                                    borderColor: setDateTimeController
                                            .afternoonTime10.isTrue
                                        ? blue
                                        : whiteF1,
                                    textColor: setDateTimeController
                                            .afternoonTime10.isTrue
                                        ? blue
                                        : black),
                              ),
                            ),
                          ],
                        ),
                      ],
                    ),
                  )
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
