import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/screen/message/chat_page.dart';
import 'package:urban/utills/color.dart';

class MessageScreen extends StatelessWidget {
  const MessageScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          Container(
            height: 122,
            width: Get.width,
            color: white,
            alignment: Alignment.center,
            child: Padding(
              padding: EdgeInsets.only(left: 20.0, right: 20, top: 30),
              child: Text(
                "Chat",
                style: TextStyle(
                    fontSize: 24, color: black, fontFamily: "RobotoBold"),
              ),
            ),
          ),
          Expanded(child: ChatPage())
        ],
      ),
    );
  }
}
