import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:urban/utills/color.dart';
import 'package:urban/utills/common_widget.dart';

class TermsConditionScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: whiteF8,
      body: Column(
        children: [
          appBar(() {
            Navigator.pop(context);
          }, "Terms and conditions"),
          SizedBox(
            height: 6,
          ),
          Expanded(
            child: Container(
              width: Get.width,
              color: white,
              child: Padding(
                padding: const EdgeInsets.symmetric(horizontal: 25.0,vertical: 25),
                child: ScrollConfiguration(
                  behavior: MyBehavior(),
                  child: SingleChildScrollView(
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Text(
                          "1 . Terms",
                          style: TextStyle(
                            fontFamily: "RobotoMedium",
                            color: gray50,
                            fontSize: 21
                          ),
                        ),
                        SizedBox(height: 7,),
                        Text(
                          "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not",
                          style: TextStyle(
                              fontSize: 14.5,
                              color: gray75,
                              fontFamily: "RobotoRegular"),
                        ),
                        SizedBox(
                          height: 25,
                        ),
                        Text(
                          "2 . User Account",
                          style: TextStyle(
                              fontFamily: "RobotoMedium",
                              color: gray50,
                              fontSize: 21
                          ),
                        ),
                        SizedBox(height: 7,),
                        Text(
                          "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not",
                          style: TextStyle(
                              fontSize: 14.5,
                              color: gray75,
                              fontFamily: "RobotoRegular"),
                        ),
                        SizedBox(
                          height: 25,
                        ),
                        Text(
                          "3 . Your Content",
                          style: TextStyle(
                              fontFamily: "RobotoMedium",
                              color: gray50,
                              fontSize: 21
                          ),
                        ),
                        SizedBox(height: 7,),
                        Text(
                          "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not",
                          style: TextStyle(
                              fontSize: 14.5,
                              color: gray75,
                              fontFamily: "RobotoRegular"),
                        ),
                        SizedBox(
                          height: 25,
                        ),
                        Text(
                          "4. Using Our Site",
                          style: TextStyle(
                              fontFamily: "RobotoMedium",
                              color: gray50,
                              fontSize: 21
                          ),
                        ),
                        SizedBox(height: 7,),
                        Text(
                          "Lorem Ipsum is simply dummy text of the printing and typesetting industry.",
                          style: TextStyle(
                              fontSize: 14.5,
                              color: gray75,
                              fontFamily: "RobotoRegular"),
                        ),
                      ],
                    ),
                  ),
                ),
              ),
            ),
          )
        ],
      ),
    );
  }
}
